OpenVDB 13.0.0

Loading...
Searching...
No Matches
MapAdapter< MapType, OpType, ResultType > Struct Template Reference

Adapter to associate a map with a world-space operator, giving it the same call signature as an index-space operator. More...

`#include <openvdb/math/Operators.h>`

## Public Member Functions
| MapAdapter (const MapType &m)
template<typename AccessorType>
ResultType | result (const AccessorType &grid, const Coord &ijk)
template<typename StencilType>
ResultType | result (const StencilType &stencil)

## Public Attributes
const MapType | map

## Detailed Description

template<typename MapType, typename OpType, typename ResultType>
struct openvdb::v13_0::math::MapAdapter< MapType, OpType, ResultType >

Adapter to associate a map with a world-space operator, giving it the same call signature as an index-space operator.

## Constructor & Destructor Documentation

## ◆ MapAdapter()

template<typename MapType, typename OpType, typename ResultType>

MapAdapter | ( | const MapType & | m | ) |
| inline

## Member Function Documentation

## ◆ result() [1/2]

template<typename MapType, typename OpType, typename ResultType>
template<typename AccessorType>

ResultType result | ( | const AccessorType & | grid,
|  | const Coord & | ijk )
| inline

## ◆ result() [2/2]

template<typename MapType, typename OpType, typename ResultType>
template<typename StencilType>

ResultType result | ( | const StencilType & | stencil | ) |
| inline

## Member Data Documentation

## ◆ map

template<typename MapType, typename OpType, typename ResultType>

const MapType map